[nvidia-glx] gnome-terminal does not start when using Xinerama on the nvidia driver if COMPOSITE is on

Bug #58232 reported by Martin Emrich on 2006-08-30
104
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux-restricted-modules-2.6.17 (Ubuntu)
Wishlist
Ubuntu-X
Nominated for Dapper by Alan Coombs
Nominated for Gutsy by Alan Coombs
Nominated for Hardy by Alan Coombs
Nominated for Intrepid by Alan Coombs
Nominated for Jaunty by Alan Coombs
linux-restricted-modules-2.6.20 (Ubuntu)
Undecided
Unassigned
Nominated for Dapper by Alan Coombs
Nominated for Gutsy by Alan Coombs
Nominated for Hardy by Alan Coombs
Nominated for Intrepid by Alan Coombs
Nominated for Jaunty by Alan Coombs
linux-restricted-modules-2.6.24 (Ubuntu)
Undecided
Unassigned
Nominated for Dapper by Alan Coombs
Nominated for Gutsy by Alan Coombs
Nominated for Hardy by Alan Coombs
Nominated for Intrepid by Alan Coombs
Nominated for Jaunty by Alan Coombs

Bug Description

SSIA.

Started from xterm, I get this message:

martin@garrett:~$ gnome-terminal
The program 'gnome-terminal' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadValue (integer parameter out of range for operation)'.
  (Details: serial 105 error_code 2 request_code 78 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

Regards,

Martin

John Vivirito (gnomefreak) wrote :

Does both running it from term and running it from menu both cause it to not start? What version of gnome-terminal is this? can you please try to get a backtrace or some kind of debug info for it? Maybe check in /var/crash to see a apport logged it and please attach any debug info you get. Thank you for your bug report.

Changed in gnome-terminal:
status: Unconfirmed → Needs Info
Martin Emrich (emme) wrote :

Yes, it does not start neither from the menu nor from an xterm.

It is version 2.16.0-0ubuntu1 (happened with 2.15.92..., too).

It does not "crash" with an exception, it exits gracefully with a non-zero exit code, so there is no backtrace, and I cannot gdb it.

I suspect that it is a font problem, as many other applications which use fonts in an "exotic" manner do not work correctly either, (see e.g. Bug #58192).

If you know what the X error code numbers mean, please tell me, as this is not a fresh edgy install but a dist-upgrade from dapper, I won't rule out a misconfiguration yet. But still a more informative error message could be the result of fixing this bug.

Ciao

Martin

Martin Emrich (emme) wrote :

One more thing: AFAIK gnome-terminal uses a special Terminal widget, which is also used by e.g. by update-manager to show the work apt-get install does during upgrades. update-manager works flawless here. (Please correct me if this is a wrong assumption).

John Vivirito (gnomefreak) wrote :

If you delete ~/.bash_profile does it work? If you delete ~/.bashrc does it work? try them one at a time please. AFAIK they both use gtk wigets.

Martin Emrich (emme) wrote :

Sorry, moving the bash config out of the way did not help. I'll do a more radical thing now: I'm downloading an edgy knot2 amd64 alternate ISO now, and I'll set up a VMWare and compare the configuration to my host...

Martin Emrich (emme) wrote :

Ok, I set up the virtual machine, and adapted the package status via dpkg --get-selections etc.

In the VM, gnome-terminal works as expected, so my problem seems to be caused by some incompatible configuration element left over from dapper. I'll continue my investigations... Would a _full_ strace of gnome-terminal help?

John Vivirito (gnomefreak) wrote :

Attach the full strace if you have it. Thank you.

Martin Emrich (emme) wrote :

Ok, here it is.

Ciao

Martin

Martin Emrich (emme) wrote :

Here is also an xtrace running gnome-terminal.

Sebastien Bacher (seb128) wrote :

What version of libvte9 and gnome-terminal do you have installed? Did you play with aiglx or xgl and compiz? Did you install some packages not shipped by Ubuntu?

Martin Emrich (emme) wrote :

martin@garrett:~$ apt-cache policy libvte9
libvte9:
  Installiert:1:0.14.0-0ubuntu1
  Mögliche Pakete:1:0.14.0-0ubuntu1
  Versions-Tabelle:

I did not play around with Xgl etc. on my desktop (hat enough trouble with it on my notebook already...).

Sebastien Bacher (seb128) wrote :

Could you install libgtk2.0-0-dbg and get a backtrace:
- gdb gnome-terminal
(gdb) break gdk_x_error
(gdb) run
... gdb stop on the break point
(gdb) thread apply all bt

And copy that to a comment. What videodriver do you use? Does it happen with an another user on the same computer?

Martin Emrich (emme) wrote :

Hi!

Here's the debug session:

martin@garrett:~$ gdb gnome-terminal
GNU gdb 6.4.90-debian
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu"...(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".

(gdb) break gdk_x_error
Function "gdk_x_error" not defined.
Make breakpoint pending on future shared library load? (y or [n]) y
Breakpoint 1 (gdk_x_error) pending.
(gdb) run
Starting program: /usr/bin/gnome-terminal
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 47465915689712 (LWP 18271)]
Breakpoint 2 at 0x2b2b80680f70: file gdkmain-x11.c, line 607.
Pending breakpoint "gdk_x_error" resolved
[Switching to Thread 47465915689712 (LWP 18271)]

Breakpoint 2, gdk_x_error (display=0x572930, error=0x7fff2b4c2090) at gdkmain-x11.c:607
607 gdkmain-x11.c: No such file or directory.
        in gdkmain-x11.c
(gdb) thread apply all bt

Thread 1 (Thread 47465915689712 (LWP 18271)):
#0 gdk_x_error (display=0x572930, error=0x7fff2b4c2090) at gdkmain-x11.c:607
#1 0x00002b2b80b10650 in ?? () from /usr/lib/libX11.so.6
#2 0x0000000000000000 in ?? ()
(gdb)

I use the "nvidia" driver.
With another freshly created user, the same problem appears.

Ciao
Martin

Akshat Aranya (aaranya+ubuntu) wrote :

I also have the same bug happening on Edgy. The output from the backtrace that I got on machine has more information:

(gdb) bt
#0 gdk_x_error (display=0x80a8200, error=0xbffec9b8) at gdkmain-x11.c:608
#1 0xb73119e5 in bonobo_ui_gtk_module_info_get () from /usr/lib/libbonoboui-2.so.0
#2 0xb78c1dea in _XError () from /usr/lib/libX11.so.6
#3 0xb78c39d4 in _XReply () from /usr/lib/libX11.so.6
#4 0xb78a99f2 in XInternAtom () from /usr/lib/libX11.so.6
#5 0xb79d6363 in IA__gdk_x11_atom_to_xatom_for_display (display=0x0, atom=0x45) at gdkproperty-x11.c:206
#6 0xb79bdca5 in IA__gdk_display_request_selection_notification (display=0x80b0098, selection=0x45)
    at gdkdisplay-x11.c:1139
#7 0xb7c75919 in clipboard_peek (display=0x80b0098, selection=0x45, only_if_exists=0) at gtkclipboard.c:1685
#8 0x080728e7 in ?? ()
#9 0x080b0098 in ?? ()
#10 0x00000000 in ?? ()

If you want me to dig in more with the debugger, I'd be happy to help out.

Thanks,
Akshat

Akshat Aranya (aaranya+ubuntu) wrote :

Also, running with --sync gives me this backtrace:

(gdb) bt
#0 gdk_x_error (display=0x80a8100, error=0xbfe39fc8) at gdkmain-x11.c:608
#1 0xb72e79e5 in bonobo_ui_gtk_module_info_get () from /usr/lib/libbonoboui-2.so.0
#2 0xb7897dea in _XError () from /usr/lib/libX11.so.6
#3 0xb78999d4 in _XReply () from /usr/lib/libX11.so.6
#4 0xb7890a4a in XSync () from /usr/lib/libX11.so.6
#5 0xb7890bc5 in XSetAfterFunction () from /usr/lib/libX11.so.6
#6 0xb7872342 in XCreateColormap () from /usr/lib/libX11.so.6
#7 0xb7992905 in IA__gdk_colormap_new (visual=0x80b5a98, allocate=0) at gdkcolor-x11.c:242
#8 0xb79ad91b in IA__gdk_screen_get_rgba_colormap (screen=0x80b20d0) at gdkscreen-x11.c:404
#9 0x08072894 in ?? ()
#10 0x080b20d0 in ?? ()
#11 0x080cbaa8 in ?? ()
#12 0x00000005 in ?? ()
#13 0x00000000 in ?? ()

Sebastien Bacher (seb128) wrote :

what is the top changelog entry from /usr/share/doc/libvte9/changelog.Debian.gz ?

Akshat Aranya (aaranya+ubuntu) wrote :

This is the top changelog entry for libvte9:

vte (1:0.14.0-0ubuntu1) edgy; urgency=low

  * New upstream release:
    - Minor doc syntax update.
    - Fix bug causing empty lines to not being copied.
  * Resynchronized with Debian, only Ubuntu changes are:
    - debian/patches/91_keep_fds.patch: Distro fix.
    - debian/pyversions: "2.3-" -> "2"
    - debian/python-vte.install: simplify installation rules (and don't ship
      python2.3 which we don't have).

 -- Daniel Holbach <email address hidden> Tue, 5 Sep 2006 12:33:44 +0200

I should mention that fact that my box is a dapper box that has been dist-upgraded to edgy.

Matthew Haughton (snafu109) wrote :

I am receiving the exact same error as the original reporter, when trying to run gnome-terminal from Konsole. The program will not run when I try to open it from the Applications menu either.

I'm running dual monitors with Xinerama and the nvidia-glx drivers, but no other changes to the X config that I'm aware of. It's a fresh install of Edgy i386 with all updates applied.

I tried getting a backtrace using instructions from the wiki, but as someone said it's not a crash per se. Tried deleting both ~/.bashrc and ~/.bash_profile, no change.

If you'd like me to provide any info just ask.

Martin Emrich (emme) wrote :

Hmm,t wo people (snafu109 and me) both having nvidia-glx and Xinerama, and having this same problem. If that is not a coincidence?

As snafu109 has a fresh install, I rule out the bug being a result from my constant updates since dapper. I'm quite busy this week, but ASAP I'll remove the second card, and the 2nd and 3rd head, and give the open "nv" driver a chance. Or snafu, can you try this this week?

Ciao

Martin

Akshat Aranya (aaranya+ubuntu) wrote :

Martin,

Even I'm using proprietary nvidia drivers with Xinerama, so that makes the three of us.

Matthew Haughton (snafu109) wrote :

Well I've now tried several combinations of xorg.conf with both open-source nv and proprietary nvidia drivers. Every combination worked with gnome-terminal, EXCEPT when xinerama was enabled.

I go to the point where I tried simply commenting xinerama out of my xorg.conf. Gnome started an instance on both screens (I'm not sure what mode this is called) and gnome-terminal worked. Uncommenting xinerama meant that it would not start. I've included xorg.conf.

I searched for xinerama bugs but didn't find anything similar. Also, would this count as a regression? My xorg.conf worked perfectly in Dapper and I'm using the same one in Edgy.

Should I file a new bug against xorg?

Sebastien Bacher (seb128) wrote :

do all the people having this issue are using a xinerama setup?

Daniel Holbach (dholbach) wrote :
Martin Emrich (emme) wrote :

I also tried it out.

Using Xinerama, g-t does not start. Just commenting out Xinerama, it works. Reenabling Xinerama, fails again.

Ciao

Martin

Cameron Braid (cameron-braid) wrote :

I am experiencing the same issue.

I have a fresh edgy install, with all updates applied.

I use nvidia-glx with twinview and xinerama

When I launch gnome-terminal, from an xterm window it doesn't start and I receive the same error. gnome-terminal doesn't launch from the Applications menu.

When I disable xinerama, gnome-terminal works again.

Marking as confirmed, several people are having the issue apparently

Changed in gnome-terminal:
assignee: nobody → desktop-bugs
importance: Undecided → High
status: Needs Info → Confirmed
James Pharaoh (jamespharaoh) wrote :

Disabling the composite extension fixes this for me:

Section "Extensions"
Option "Composite" "false"
EndSection

This is of course just a workaround...

James

Andrew Clunis (orospakr) wrote :

Another confirmation. Ubuntu 6.10 on x86_64 (tried with both one of the knots and the final release) with nvidia' proprietary driver and xinerama enabled. Some other apps fail with the same problem, like BMPx.

Manually installing the beta of nvidia's driver (verison 9xxx) appears to fix this problem.

orospakr@mithrandir:~$ gnome-terminal
^[[AThe program 'gnome-terminal' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadValue (integer parameter out of range for operation)'.
  (Details: serial 108 error_code 2 request_code 78 minor_code 0)

Matthew Haughton (snafu109) wrote :

Have a look at the bug in gnome: http://bugzilla.gnome.org/show_bug.cgi?id=354767#c5

It was closed, apparently the Composite X extension in nVidia is buggy. That would probably explain why the bug went away when the new driver was installed.

Sebastien Bacher (seb128) wrote :

Thank you for the useful comments, that's a nvidia driver issue, reassigning to linux-restricted-modules-2.6.17 then

Changed in gnome-terminal:
assignee: desktop-bugs → ubuntu-x
Changed in linux-restricted-modules-2.6.17:
assignee: ubuntu-x → ubuntu-x-swat
Akshat Aranya (aaranya+ubuntu) wrote :

I am unable to run rdesktop. It fails with the following error:

X Error of failed request: BadValue (integer parameter out of range for operation)
  Major opcode of failed request: 78 (X_CreateColormap)
  Value in failed request: 0x20e
  Serial number of failed request: 7
  Current serial number in output stream: 8

I believe this is a manifestation of the same bug because both gnome-terminal and rdesktop run OK if I forcibly disable the Composite extension in xorg.conf

Todd Larason (jtl-launchpad) wrote :

I'm sorry, I didn't mean to reassign back to gnome-terminal, and now I can't figure out how to undo that.

Sebastien Bacher (seb128) wrote :

marking that task as rejected, that's a nvidia driver bug

Changed in gnome-terminal:
status: Unconfirmed → Rejected
Emmanuel Rodriguez (potyl) wrote :

I have the same problem, gnome-terminal refuses to start with Xinerama on.
Although, I am able to launch it if I set the environment variable XLIB_SKIP_ARGB_VISUALS set to true:

XLIB_SKIP_ARGB_VISUALS=1 gnome-terminal

I can confirm this problem using Edgy (64bit, gnome) and nvidia-glx.

I can also confirm that disabling the the work-around suggested by jamespharaoh (disabling the composite extension) does work.

I'm going to see if I can get the latest nvidia-glx drivers installed manually - if that solves the problem (without disabling the composite extension), I will report it here.

gergnz (gergnz) wrote :

I am trying to get rdesktop working with the same symptoms, but I am running the latest drivers from nvidia.

(II) NVIDIA dlloader X Driver 1.0-9629 Wed Nov 1 19:31:54 PST 2006

So even with the latest version of the drivers doesn't fix the problem.

Am about to try turning composite off.

gergnz (gergnz) wrote :

Turning composite off works for me also.

Michael Wood (x3n) wrote :

Comment from upstream:

-------------------------------------
Comment #6 from Emmanuel Rodriguez (points: 7)
2006-11-12 10:34 UTC [reply]

Another workaround is to launch the terminal with the environment variable
XLIB_SKIP_ARGB_VISUALS set to true:

XLIB_SKIP_ARGB_VISUALS=1 gnome-terminal

--------------------------------------

This works for me.

maikischa (maikisch) wrote :

I reportet the bug to nvidia but they said:
"This is a known X server bug which is triggered when using Composite with Xinerama. You should report it to Ubuntu. The current workaround is to disable Composite or Xinerama."

This is not the answer I liked to hear. I also get the bug by using multi-gnome-terminal:

multi-gnome-terminal

Gdk-CRITICAL **: file gdkwindow.c: line 1406 (gdk_window_get_visual): assertion `window != NULL' failed.

Gdk-CRITICAL **: file gdkcolor.c: line 57 (gdk_colormap_new): assertion `visual != NULL' failed.
class: Config prefix: /MultiTerminal/Win-Config/

Gdk-CRITICAL **: file gdkwindow.c: line 1406 (gdk_window_get_visual): assertion `window != NULL' failed.
Gdk-ERROR **: BadDrawable (invalid Pixmap or Window parameter)
  serial 135 error_code 9 request_code 146 minor_code 5
Gdk-ERROR **: BadDrawable (invalid Pixmap or Window parameter)
  serial 136 error_code 9 request_code 55 minor_code 0

Bryce Harrington (bryce) wrote :

Confirmed issue still exists in Feisty. Both workarounds (XLIB_SKIP_ARGB_VISUALS=1 gnome-terminal, and explicitly turning off Compositing) worked. Also, I was able to get Xinerama working with two different nvidia video cards with the 'nv' driver. The nv driver was not able to activate the second monitor on a two-monitor video card, however.

Also checked multi-gnome-term and found it fails as previous reporter reports; I suspect this is just because MGT is derived from the same codebase so is inheriting whatever codepath in gnome-terminal triggers the bug.

Capedder (capedder) wrote :

ubuntu 6.1.0 - dual monitors/video (onboard geforce6100-m9 and PCI Radeon) xinerama and composite enabled, gnome terminal dead in the water.

For what it's worth, PuTTy works fine :)

Paul W. Poteete (ppoteete) wrote :

I've just worked this problem through with a friend, and he was having the same issue.

Adding the following entry to xorg.conf under screen fixed the problem.

Option "AddARGBGLXVisuals" "True"

Tested after a reboot and everything worked fine.

I.e.
-----
Section "Screen"
    Identifier "Default Screen"
    Device "NVIDIA Corporation NVIDIA Default Card"
Option "AddARGBGLXVisuals" "True"

Section "Extensions"
    Option "Composite" "Enable"
EndSection
-----

In Feisty I have the same problem with Nvidia/Xinerama/AMD64. The workaround posted above (Option "AddARGBGLXVisuals" "True") works around the problem and gnome-terminal will start OK again.

mwshook (mattshook) wrote :

This problem is still present in the final release of Feisty. The workaround worked.

Sitsofe Wheeler (sitsofe) wrote :

If you use restricted-manager to set up your card then I believe "AddARGBGLXVisuals" "True" is added to xorg.conf ...

Michael Wood (x3n) wrote :

Here is script to be used as a launcher for gnome terminal for people with this issue.

Emmanuel Rodriguez (potyl) wrote :

Here's a slight modification to the script provided by Michael Wood. This new version launches gnome-terminal through exec, this way the process of the shell script gets replaced by the process of gnome-terminal instead of laying around in the system process table waiting for gnome-terminal to end.

Kiran Lightpaw (kiranlightpaw) wrote :

This bug also causes some unusual behaviour with other Gnome applications, most notably gnome-settings-daemon. In my case, pressing the volume multimedia buttons on my keyboard was causing gnome-settings-daemon to crash in combination with Xinerama and nVidia drivers. The AddARGBGLXVisuals hack above fixed the issue.

Genesis3800 (nemesis-gus) wrote :

I can confirm both solutions:

-------------
Section "Screen"
    Identifier "Default Screen"
    Device "NVIDIA Corporation NVIDIA Default Card"
Option "AddARGBGLXVisuals" "True"

Section "Extensions"
    Option "Composite" "Enable"
EndSection
-------------

and

-------------
Section "Extensions"
    Option "Composite" "false"
EndSection
-------------

work fine on my ubuntu 7.04 Feisty to solve the gnome-terminal problem.

Now the question is: which one is better?

Thanks for your support!

I followed the above and gnome-terminal will still not start, except by using the script provided above.

I am using a nvidia 6600 GT and AMD64.

The error is as previously reported:

<code>The program 'gnome-terminal' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadValue (integer parameter out of range for operation)'.
  (Details: serial 105 error_code 2 request_code 78 minor_code 0)</code>

*APOLOGY*
I disabled composite correctly and g-t starts working correctly when xinerama is running.
THANKS!

wphampton (whampton) wrote :

For anyone still a little foggy on how to fix this, especially beginners, here is a link to another way to do this:
http://ubuntuforums.org/archive/index.php/t-392734.html

Basically you can just issue this command: sudo nvidia-xconfig --add-argb-glx-visuals
which will add the appropriate line (Option "AddARGBGLXVisuals" "True") to the /etc/X11/xorg.conf file in the appropriate places.

For my setup with dual monitors, this worked perfectly. It added that Option line above to both Screen sections of the xorg.conf. When I was doing it manually I had only added it once to the default Screen section and it did not solve the problem because it needed to be in both Screen sections. The command above handles putting it in both.

Thanks everyone for you help,
Wes

That's really neat. Thanks for following up.

Best Regards,
Jonathan Watmough

On 6/11/07, wphampton <email address hidden> wrote:
>
> For anyone still a little foggy on how to fix this, especially beginners,
> here is a link to another way to do this:
> http://ubuntuforums.org/archive/index.php/t-392734.html
>
> Basically you can just issue this command: sudo nvidia-xconfig
> --add-argb-glx-visuals
> which will add the appropriate line (Option "AddARGBGLXVisuals" "True") to
> the /etc/X11/xorg.conf file in the appropriate places.
>
> For my setup with dual monitors, this worked perfectly. It added that
> Option line above to both Screen sections of the xorg.conf. When I was
> doing it manually I had only added it once to the default Screen section
> and it did not solve the problem because it needed to be in both Screen
> sections. The command above handles putting it in both.
>
> Thanks everyone for you help,
> Wes
>
> --
> gnome-terminal does not start when using xinerama and nvidia
> https://bugs.launchpad.net/bugs/58232
> You received this bug notification because you are a direct subscriber
> of the bug.
>

docunext (docunext-staff) wrote :

I'm running 2.6.20 32-bit on AMD64 with xinerama and NVidia card - no terminal action here.

Section "Device"
    Identifier "0 Generic Video Card"
    Driver "nvidia"
    BusID "PCI:5:0:0"
    Screen 0
Option "AddARGBGLXVisuals" "True"
Option "DisableGLXRootClipping" "True"
Option "XAANoOffscreenPixmaps" "true"
EndSection

Section "Device"
    Identifier "1 Generic Video Card"
    Driver "nvidia"
    BusID "PCI:5:0:0"
    Screen 1
Option "AddARGBGLXVisuals" "True"
Option "DisableGLXRootClipping" "True"
Option "XAANoOffscreenPixmaps" "true"
EndSection

Section "Screen"
    Identifier "Main Screen"
    Device "0 Generic Video Card"
    Monitor "Main Monitor"
    DefaultDepth 16
    Option "UseFBDev" "true"
    SubSection "Display"
        Depth 16
        Modes "1680x1050"
    EndSubSection
    SubSection "Display"
        Depth 24
        Modes "1680x1050"
    EndSubSection
Option "AddARGBGLXVisuals" "True"
Option "DisableGLXRootClipping" "True"
EndSection

Section "Screen"
    Identifier "Second Screen"
    Device "1 Generic Video Card"
    Monitor "Second Monitor"
    DefaultDepth 16
    Option "UseFBDev" "true"
    SubSection "Display"
        Depth 16
        Modes "1680x1050"
    EndSubSection
    SubSection "Display"
        Depth 24
        Modes "1680x1050"
    EndSubSection
Option "AddARGBGLXVisuals" "True"
Option "DisableGLXRootClipping" "True"
EndSection

Other than that, both monitors look great, and every other application I've tried works fine.

Michael R. Head (burner) wrote :

Confirmed on feisty/amd64. I recently reconfigured my displays, but I'm sure I had xinerama and composite on here before, since I've been using multiple displays for a while.

Bryce Harrington (bryce) wrote :

Fwiw, Xorg is deprecating Xinerama in favor of Xrandr for multi-head setups, so I'm moving this bug to Wishlist.

If/when nvidia gets proper xrandr 1.2 support, this bug can be closed as obsolete. According to the following article, it sounds like this is already in the plan: http://www.propeller.com/viewstory/2007/06/07/randr-12-support-in-future-drivers-from-nvidia

Changed in linux-restricted-modules-2.6.17:
importance: High → Wishlist
Barry Warsaw (barry) wrote :

FWIW, the same issue still exists for gutsy, and the same workaround still works (i.e. using nvidia-xconfig --add-argb-glx-visuals). The key thing here is that it adds the magic option to both screens.

Åskar (olskar) wrote :

Urm...im having this issue with intel drivers..hope I dont mess things up by saying that ;)

ganjan (nomail666) wrote :

This is my config, it works perfectly with two screens.

Timo Aaltonen (tjaalton) wrote :

The option is no longer needed with newer drivers. Besides, restricted-manager would have added that option for you..

Changed in linux-restricted-modules-2.6.17:
status: Confirmed → Invalid
Changed in linux-restricted-modules-2.6.20:
status: Confirmed → Invalid
Changed in linux-restricted-modules-2.6.22:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions